StringTables["en"] = 
{
    code: "en",
    label: "english",
    unsupportedBrowser: "We are sorry, but your browser lacks the support of integral part of this application (HTML <a href=\"https://en.wikipedia.org/wiki/Canvas_element\">element <code>&lt;canvas></code></a>). It's impossible to animate wind without it. If you don't want or can't upgrade your current browser to newer version, you can try different one:",
    searchLabel: "Search for location…",
    searchProgress: "Searching for “{q}”…",
    searchProgressOSM: "Searching for “{q}” in OpenStreetMap…",
    searchCoords: "Lat.: {lat} / Lon.: {lon} / {place}",
    searchNotFound: "Not found.",
    searchError: "Searching failed, please try again later.",
    searchTooShort: "Type at least {length} characters.",
    searchMe: "Find my position",
    myLocation: "My location",
    menuAbout: "About",
    menuHelp: "Help",
    menuSettings: "Settings",
    zoomIn: "Zoom in",
    zoomOut: "Zoom out",
    layers: {
        "temperature": "Temperature",
        "rain": "Precipitation",
        "clouds": "Clouds",
        "wind": "Wind speed",
        "gust": "Wind gusts",
        "pressure": "Air pressure",
        "snow": "Snow cover",
        "freezing": "Freezing level",
        "humidity": "Humidity",
        "wave": "Waves",
        "storm": "Thunderstorms",
        "radar": "Radar",
        "feel": "Perceived temperature",
        "air": "Air quality",
        "satellite": "Satellite",
        "aurora": "Probability of aurora"
    },
    sublayers: {
        "cape": "CAPE",
        "10m": "10 m above ground",
        "2m": "2 m above ground",
        "850hpa": "850 hPa, 1500 m",
        "700hpa": "700 hPa, 3000 m",
        "500hpa": "500 hPa, 5500 m",
        "300hpa": "300 hPa, 9000 m",
        "rain-1h": "1 hour",
        "rain-3h": "3 hours",
        "rain-ac": "from {time}",
        "shear": "Wind shear",
        "wind-wave": "Wind wave height",
        "swell": "Swell wave height",
        "wave": "Significant wave height",
        "swell-period": "Swell wave period",
        "wind-wave-period": "Wind wave period",
        "clouds-low": "Low clouds",
        "clouds-middle": "Middle clouds",
        "clouds-high": "High clouds",
        "clouds-total": "Total cloud cover",
        "cin": "CIN",
        "li": "Lifted index",
        "helicity": "Helicity (SRH)",
        "950hpa": "950 hPa, 500 m",
        "925hpa": "925 hPa, 750 m",
        "900hpa": "900 hPa, 1000 m",
        "800hpa": "800 hPa, 2000 m",
        "750hpa": "750 hPa, 2500 m",
        "650hpa": "650 hPa, 3600 m",
        "600hpa": "600 hPa, 4200 m",
        "200hpa": "200 hPa, 12000 m",
        "rain-1h-type": "1 hour",
        "rain-3h-type": "3 hours",
        "100m": "100 m above ground",
        "5cm": "5 cm above ground",
        "dew": "Dew point",
        "250m": "250 m above ground",
        "humidity": "Relative humidity",
        "10hpa": "10 hPa, 30000 m",
        "cape-shear": "CAPE*SHEAR",
        "gust": "1 hour",
        "gust-ac": "from {time}",
        "new-snow-ac": "New from {time}",
        "snow": "Total cover",
        "co": "CO \ud83c\udfed \ud83d\udd25",
        "no2": "NO2 \ud83d\ude97 \ud83d\udea2",
        "o3": "O3 \ud83c\udf07",
        "pm10": "PM10 \ud83c\udfed \ud83d\ude9c",
        "pm25": "PM2.5 \ud83c\udfed \ud83d\ude9c",
        "so2": "SO2 \ud83c\udfed \ud83c\udf0b",
        "dust": "Dust \ud83c\udf34",
        "freezing": "Freezing level",
        "anomaly-2m": "Anomaly, 2 m",
        "aqi": "AQI",
        "sea-surface": "Sea surface",
        "currents": "Currents",
        "clouds-fog": "Fog",
        "monthly-anomaly": "Monthly anomaly"
    },
    windTypes: {
        "soft": "soft",
        "off": "off",
        "normal": "normal",
        "strong": "strong",
        "dark": "dark",
        "fast": "fast-motion"
    },
    sublayerLabels: {
        "altitude": "Altitude",
        "accumulation": "Accumulation",
        "storm": "Index",
        "wave": "Type",
        "clouds": "Type",
        "humidity": "Type",
        "maximum": "Maximum",
        "snow": "Type",
        "air": "Substance"
    },
    windTypesCustom: "custom",
    windTypesLabel: "Wind animation",
    modelLabel: "Model",
    modelAuto: "Automatic",
    modelDescription: "Data: {model}, {source} (resolution {resolution})\nUpdated: {updated} (next update: {next} - prepare)\nCurrent time: {time} ({zone})",
    modelDescriptionLayers: {
        "temperature": "For this output data, temperature is shown for {altitude}. The calculations take into account the terrain (elevation), but with lower resolution than in reality. Therefore the models cannot differentiate, for instance, the temperature on a mountain peak or on a city square scorched by the sun. The general rule is that the centres of large cities are 1 °C to 3 °C warmer than the surrounding area or natural landscapes. Significant temperature differences over a small area are primarily caused in the winter by an inversion. A short yet noticeable cooling can also occur after a local summer storm.",
        "rain": "This output data shows the total precipitation in mm for the previous 1 or 3 hours, or from a specific date (accumulated amount). The models do not differentiate more significant precipitation totals in certain mountainous areas or, on the contrary, faint drizzling from fog and low cloud cover. Forecasting precipitation totals for local storms is difficult. The numerical model does not allow for accurate calculations of the formation of local storm cells. In conversions to snowfall, 1 mm of precipitation equals roughly 1 cm of snowfall.",
        "clouds": "This output data shows cloud cover in percentages. Cloud patterns are very difficult to predict. The calculations also include forecasts for high cloud cover. 100% cloud cover signifies an overcast sky. If, however, the sky is overcast with cloud cover that is thin and the sun is shining through, it is still considered overcast, even though it may seem like a sunny day at first glance.",
        "wind": "The map illustrates the average wind speed at an altitude {altitude}. Models run by NOAA (GFS, HRRR) calculate with 1-minute mean. However, remaining models (ICON, GEM) calculate with 10-minute mean. This can cause differences between each models. The value of the highest 1-minute sustained wind is about 14% greater than a 10-minute sustained wind over the same period. The calculation does not take into account exposed areas (hilltops, open fields) where wind speed will be greater than that in a city or valley. Localised increases in windiness during storms are also not taken into account in model calculations.",
        "gust": "The map illustrates the maximum wind speed (so-called gusts) at 10 metres above the ground. The calculation does not take into account exposed areas (hilltops, open fields) where wind speed will be greater than that in a city or valley. Localised increases in windiness during storms are also not taken into account in model calculations.",
        "pressure": "Calculations illustrate air pressure values at sea level. The output data differentiates between pressure highs and lows as well as pressure gradients, which influence wind speed.",
        "cape": "When there is possibility of storm formation, it is recommended to monitor the values of the CAPE (this map shows surface based CAPE). It represents potential energy in the atmosphere. It helps to establish the level of atmospheric instability. The greater the values reached, the greater the likelihood of the formation of a storm. Values less than 300 are low, between 300 to 1000 are weak, 1000 to 2000 are moderate, and over 2000 are high, when the possibility of the occurrence of strong storms is highly likely. Storm formation is influenced by a number of other factors, however, CAPE is an important indicator.",
        "snow": "This data illustrates the anticipated height of snow cover. Prediction of snow cover development is very complex, and the values listed may differ from actual values reached (even by several centimetres). The calculations take into account the terrain (elevation), but with lower resolution than in reality. Therefore, the model cannot display the exact snow cover height in mountainous areas, where it differs greatly.",
        "freezing": "The altitude in metres at which the temperature dips below the freezing point is illustrated on the map. This altitude has a large influence on the state of precipitation. At altitudes above this level, precipitation generally occurs in solid states (snowflakes, ice crystals). At lower altitudes, on the contrary, precipitation occurs in a liquid state. This does not, however, always have to be the case. In some instances, snowfall may occur at lower altitudes as well. This is due to the fact that snow does not melt immediately at temperatures above the freezing point, but melts gradually. Therefore, primarily in low humidity, it can snow up to 400 m below this altitude. During temperature inversions, freezing precipitation may fall at this altitude.",
        "wave": "The application displays two types of waves: swells and wind waves. Waves travelling outside of their place of origin, and are thus not caused by local winds, are called swells.  Waves caused by winds in that specific location are called wind waves. In the application, wind waves are marked in white and swells are marked in black. This feature allows you to quickly find areas where high wind waves are travelling in a different direction from the swells. Significant wave height is the average height (trough to crest) of the one-third highest waves. Given the variability of wave height, the largest individual waves are likely to be somewhat less than twice the reported significant wave height for a particular day. Wave period is time interval between arrival of consecutive crests at a stationary point.",
        "li": "The lifted index (LI) is the temperature difference between an air parcel when it reaches the 500 hPa level and the actual temperature of the environmental air at 500 hPa. When the value is positive, the atmosphere is stable and when the value is negative, the atmosphere is unstable. Lifted Index maps are used to forecast the likelihood of thunderstorms. Values below 0 indicating instability and an increasing chance of thunderstorms. Lifted Index is generally scaled as follows: 6 or greater: very stable conditions (without thunderstorms), between 1 and 6: stable conditions, (thunderstorms not likely), between 0 and -2: slightly unstable (thunderstorms possible), between -2 and -6 : unstable (thunderstorms likely), less than -6:  very unstable (severe thunderstorms likely).",
        "cin": "Convective inhibition (CIN) is a measure that indicates the amount of the energy that needs to be overcome in order for convection (thunderstorms) to occur. This map shows surface based CIN. CIN can be weakened by daytime heating, frontal lifting or other lifting mechanisms. CIN is generally scaled as follows: 0 to -50: weak inhibition, -50 to -200: moderate inhibition, less than -200: strong inhibition.",
        "helicity": "SRH (Storm Relative Helicity) is a measure of the potential for cyclonic updraft rotation in right-moving supercells, and is calculated for the 3-km layers above ground level. Larger values (greater than 250 m<sup>2</sup>/s<sup>2</sup>) suggest an increased threat of tornadoes with supercells.",
        "shear": "This maps shows vertical wind shear, which is a change in wind speed with change in altitude. Our map calculate the change in wind throughout the 0-6km layer. Thunderstorms tend to become more organized and persistent as vertical shear increases. Values less than 10 m/s are low, between 10 m/s to 20 m/s are moderate, and over 20 m/s are high (enough for supercells). In weak shear environment (up to 10 or 15 m/s), mostly multicells are developing and significant organisation of thunderstorms is not easy. In stronger shear environment (above approx. 15 m/s) probability of supercell development is increasing.",
        "dew": "The dew point is the temperature to which air must be cooled to become saturated with water vapor. When further cooled, the airborne water vapor will condense to form liquid water (dew). When air cools to its dew point through contact with a surface that is colder than the air, water will condense on the surface. Dew point temperature is never greater than the air temperature because relative humidity cannot exceed 100%.",
        "humidity": "For this output data, relative humidity is shown for {altitude}. Humidity is the amount of water vapor present in the air. Relative humidity is expressed as a percentage (a higher percentage means that the air-water mixture is more humid).",
        "cape-shear": "CAPE*SHEAR is one of the many thunderstorm parameters, it is combination of CAPE (Convection available potential energy) and wind shear. It is computed according to: square root(2*SBCAPE) * wind shear(0-6 km). It is targeted at forecasting organized thunderstorms, such as supercell. The deep-layer wind shear helps to organise convection (represented by CAPE) into long-lived cells. High values of CAPE*SHEAR (above 700) may indicate good condition for development of severe storms.",
        "radar": "This output data shows current intensities of precipitation based on real or predicted data sets. This output is using not only radars but also numerical models and satelite images to improve coverage over the oceans and some land areas. Intensities of precipitation are described by colours in range from blue for a weak precipitation rate, to red for a very strong precipitation rate. Strong colours (red) need to be interpreted carefully since they may indicate not only heavy rain or snow but also thunderstorms, hail, strong winds, or tornadoes.",
        "feel": "This map shows temperature equivalent perceived by humans, caused by the combined effects of sunshine, air temperature, relative humidity and wind speed. In humid conditions, the air feels much hotter. On the other hand, as airflow increases over the skin, more heat is removed and the air feels much cooler.",
        "satellite": "This layer shows current clouds visible from space. Images are taken by satellites from geostationary orbit and they are processed by the GeoColor algorithm. The clouds are displayed as they are visible from space. At night, image shows lights from the large cities. Fog and low clouds are shown in the light blue color at night.",
        "co": "Map shows concentration of carbon monoxide at 10 meters above ground. About half of the carbon monoxide in Earth's atmosphere is from the burning of fossil fuels and biomass (such as forest and bushfires). Most of the rest of carbon monoxide comes from chemical reactions with organic compounds emitted by human activities and plants. Carbon monoxide is a temporary atmospheric pollutant in some urban areas, chiefly from the exhaust of internal combustion engines.",
        "no2": "Map shows concentration of nitrogen dioxide at 10 meters above ground. Nitrogen dioxide is a prominent air pollutant. For the general public, the most prominent sources of NO2 are internal combustion engines burning fossil fuels (cars). Model has lower resolution than reality. Therefore model cannot differentiate, for instance, the pollution near a highway or in a city center.",
        "o3": "Map shows concentration of ozone at 10 meters above ground (ground-level ozone). Low level ozone is an atmospheric pollutant. It is not emitted directly by car engines or by industrial operations, but formed by the reaction of sunlight on air containing hydrocarbons and nitrogen oxides that react to form ozone directly at the source of the pollution or many kilometers downwind. Model has lower resolution than reality. Therefore model cannot differentiate, for instance, the pollution near a highway or in a city center.",
        "pm10": "Map shows concentration of coarse particulates with diameter between 2.5 and 10 micrometers at 10 meters above ground. Particulates are the most harmful form of air pollution due to their ability to penetrate deep into the lungs and blood streams. Some particulates occur naturally, originating from volcanoes, dust storms, forest and grassland fires. Human activities, such as the burning of fossil fuels in vehicles, stubble burning, power plants, road dust, wet cooling towers in cooling systems and various industrial processes, also generate significant amounts of particulates. Model has lower resolution than reality. Therefore model cannot differentiate, for instance, the pollution near a highway or in a city center. Local air deterioration also occurs due to houses with stoves fueled by wood or coal. However, model is not aware about these sources.",
        "pm25": "Map shows concentration of fine particles with a diameter of 2.5 μm or less at 10 meters above ground. Particulates are the most harmful form of air pollution due to their ability to penetrate deep into the lungs and blood streams. Some particulates occur naturally, originating from volcanoes, dust storms, forest and grassland fires. Human activities, such as the burning of fossil fuels in vehicles, stubble burning, power plants, road dust, wet cooling towers in cooling systems and various industrial processes, also generate significant amounts of particulates. Model has lower resolution than reality. Therefore model cannot differentiate, for instance, the pollution near a highway or in a city center. Local air deterioration also occurs due to houses with stoves fueled by wood or coal. However, model is not aware about these sources.",
        "so2": "Map shows concentration of sulfur dioxide at 10 meters above ground. Sulfur dioxide is a toxic gas responsible for the smell of burnt matches. It is released naturally by volcanic activity and is produced as a by-product of copper extraction and the burning of fossil fuels contaminated with sulfur compounds. Sulfur dioxide has significant impacts upon human health.",
        "dust": "Map shows concentration of dust at 10 meters above ground. Dust is made of fine particles of solid matter. On Earth, it generally consists of particles in the atmosphere that come from various sources such as soil, dust lifted by wind (an aeolian process), volcanic eruptions, and pollution.",
        "temperature-anomaly-2m": "The map shows the temperature anomaly from the long-term average for a given time. This average is based on the period 1980-2020 (40 years). Temperatures above average are displayed from orange to red colors, and below average are displayed from blue to purple.",
        "aqi": "Air quality index (marked as AQI) is developed by Environmental Protection Agency. Values over 300 represents hazardous air quality, between 200-300 very unhealthy, 150-200 unhealthy, 100-150 unhealthy for sensitive groups and below 100 or rather below 50 the air quality is good.",
        "temperature-sea-surface": "Sea surface temperature is the water temperature close to the ocean's surface (at altitude 1 meter above sea level).",
        "currents": "An ocean current is a continuous movement of sea water generated by a number of forces acting upon the water, including wind, the Coriolis effect, breaking waves, temperature and salinity differences. Ocean currents are primarily horizontal water movements. This layer shows the speed and direction of surface (at altitude 1 meter above sea level) ocean currents.",
        "precipitation-anomaly": "Precipitation anomaly units"
    },
    timelinePlay: "Play",
    timelineStop: "Pause",
    timelinePrev: "Previous",
    timelineNext: "Next",
    timelineDay: "Change date",
    timelineToday: "Today",
    timelineNow: "Show present-day forecast",
    settings: "Settings",
    settingsDescription: "You can change the setting for the whole application or for the meteorological data here.",
    settingsLanguage: "Language",
    settingsResolution: "Resolution",
    settingsResolutionMin: "Reduced",
    settingsResolutionMax: "Native",
    settingsRestoreDefault: "Restore default",
    settingsMain: "Application settings",
    settingsMainDescription: "You can change the setting for the whole application here.",
    settingsWind: "Animation settings",
    settingsWindDescription: "You can change the setting for the streamlines which show average wind speed and wind direction. High values may overload your browser if your computer is less powerful.",
    settingsWindPreset: "Predefined settings",
    settingsWindQuantity: "Number of streamlines",
    settingsWindQuantityMin: "Few",
    settingsWindQuantityMax: "Many",
    settingsWindLength: "Motion speed",
    settingsWindLengthMin: "Low",
    settingsWindLengthMax: "High",
    settingsWindWidth: "Average thickness of the streamlines",
    settingsWindWidthMin: "Thin",
    settingsWindWidthMax: "Wide",
    settingsWindWidthSpread: "Streamline thickness variation",
    settingsWindWidthSpreadMin: "Same thickness",
    settingsWindWidthSpreadMax: "Various thickness",
    settingsWindLife: "Lifetime",
    settingsWindLifeMin: "Ephemeral",
    settingsWindLifeMax: "Persistent",
    settingsWindOpacity: "Transparency",
    settingsWindOpacityMin: "Opaque",
    settingsWindOpacityMax: "Transparent",
    settingsWindFade: "Streamlines length",
    settingsWindFadeMin: "Short",
    settingsWindFadeMax: "Long",
    settingsWindColor: "Color",
    settingsWindColors: ["White", "Black", "Light", "Dark"],
    settingsBorderColor: "Border color",
    settingsBorderColors: ["Automatic", "Black", "White"],
    settingsColors: "Weather map settings",
    settingsColorsDescription: "You can change the setting for the weather map which shows selected meteorological variables.",
    settingsColorsGrid: "Show values in grid",
    settingsUnitTypes: {
        "length": "Precipitation units",
        "blanket": "Snow units",
        "height": "Height units",
        "temperature": "Temperature units",
        "speed": "Speed units",
        "pressure": "Pressure units",
        "temperature-anomaly": "Temperature anomaly units",
        "currents": "Currents units",
        "precipitation-anomaly": "The map shows the precipitation anomaly from the long-term average for a period from the first day of the month to a selected day of the month. The average is based on the period 1980-2020 (40 years). Precipitation above average are displayed from blue to purple, and below average are displayed from orange to red colors."
    },
    settingsOpacity: "Weather map opacity",
    settingsInterpolation: "Weather map interpolation",
    settingsFontSize: "Font size",
    settingsFontSizeMin: "Small",
    settingsFontSizeMax: "Large",
    performanceMeter: "Performance meter, optimum is 60 frames per second",
    share: "Share",
    shareTitle: "Share options",
    shareDescription: "Thank you for spreading word about our website. Pick what you want to share please:",
    sharePromoText: "Weather Forecast Maps",
    shareLink: "Link",
    shareImage: "Screenshot",
    shareLive: "Live screenshot",
    shareEmbed: "Embed",
    shareGIF: "Animated GIF image",
    shareVideo: "Video",
    shareLinkOn: "share on",
    shareLinkInclude: "Link to",
    shareIncludePosition: "position",
    shareIncludeLayer: "active layer",
    shareIncludeTime: "date and time",
    shareIncludeWind: "animation settings",
    shareIncludeLegend: "scale",
    shareImageFormat: "Image format",
    shareImageCut: "Cut",
    shareImageCutOff: "Cut part of screen",
    shareImageRatio: "aspect ratio",
    shareImageRatioFree: "free",
    shareImageRatioGolden: "golden",
    shareImageInclude: "Include information in the corner",
    shareImageUploadTo: "upload to",
    shareLiveInclude: "There will be link to Ventusky, linking specifically to current",
    shareEmbedSize: "Dimensions",
    shareEmbedTime: "Target time",
    shareEmbedTimeNow: "current",
    shareEmbedTimeTomorrow: "tomorrow",
    shareEmbedTimeWeekend: "nearest weekend",
    shareEmbedLock: "Lock",
    shareGIFFrames: "Number of animation frames",
    shareGIFSpeed: "Animation speed",
    shareVideoDuration: "Video duration",
    shareVideoLoop: "Create loop",
    shareImageDescription: "You can create clean screenshot here, without user interface.",
    shareImageDisclaimer: "You are allowed to use this image wherever you want. We would appreciate if you put active hyperlink to Ventusky nearby.",
    shareLiveDescription: "Live screenshot is a fragment of HTML code for your web page, which can show the same animation you see here.",
    shareLiveDescriptionMore: "Generated code works independently, all needed data are <a href=\"https://en.wikipedia.org/wiki/Data_URI_scheme\" target=\"_blank\">inside</a> of it, nothing is downloaded from Ventusky (or from anywhere else), it's permanent imprint of selected state, similar to classic screenshot, but with animation algorithm inside. It's automatically adjustible to various widths, so you don't have to worry about mobile layout.",
    shareLiveDisclaimer: "If you can't paste this code anywhere in your content management system or animation does not work afterwards, please contact your website administrator, we can't fix it.",
    shareEmbedDescription: "There will be a way to embed live Ventusky website into your web page. But it isn't ready yet, stay tuned.",
    shareGIFDescription: "We don't recommend using animated GIFs in web environment, because their file size is huge. But here you can create infinite animation loop from current state (without anoying rewind stutter).",
    shareVideoDescription: "For creating videofile inside your browser, we have to download huge <a href=\"https://en.wikipedia.org/wiki/FFmpeg\" target=\"_blank\">FFmpeg library</a> (18 MB) inside this page. If you think you and your browser can handle it, we can give it a try…",
    shareAction: "Create",
    shareCancel: "Cancel",
    stateOn: "on",
    stateOff: "off",
    unavailable: "not available",
    demo: "demo",
    underConstruction: "Under construction…",
    newFeature: "New!",
    coords: "{lat} {lon}",
    coord: "{deg}°{sign}",
    coordPrecise: "{deg}°{min}'{sign}",
    coordLonPositive: "E",
    coordLonNegative: "W",
    coordLatPositive: "N",
    coordLatNegative: "S",
    azimuthNorth: "north",
    azimuthNortheast: "northeast",
    azimuthEast: "east",
    azimuthSoutheast: "southeast",
    azimuthSouth: "south",
    azimuthSouthwest: "southwest",
    azimuthWest: "west",
    azimuthNorthwest: "northwest",
    astroPhaseNight: "night",
    astroPhaseAstronomicalTwilight: "astronomical twilight",
    astroPhaseNauticalTwilight: "nautic twilight",
    astroPhaseCivilTwilight: "civil twilight",
    astroPhaseDay: "day",
    astroHighNoon: "high noon",
    astroRise: "rise",
    astroSet: "set",
    timeUnitsHours: "hr.",
    timeUnitsMinutes: "min.",
    timeUnitsRangeWord: "to",
    dateFormat: "yyyy/MM/dd",
    dateFormatShort: "MM/dd",
    dateFormatWheel: "ddd|[MMM dd]",
    dateDayNames: ["Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday"],
    dateWeekStart: 1,
    dateMonthNames: ["January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"],
    dateMonthNames3: [],
    dateCurrentDays: "Current days",
    timeFormat: "HH:mm",
    timeFormatLine: "HH:mm",
    timeFormatWheel: "HH[:mm]",
    unitsMetricSystem: true,
    unitsChange: "Change units to “{unit}”",
    decimalMark: ".",
    location: "Location",
    timezone: "Timezone",
    wind: "Wind",
    meteogram: "Meteogram",
    windWave: "Wind waves",
    swell: "Swell",
    none8: "Swell wave direction",
    none9: "Wind wave direction",
    waveTypesLabel: "Waves animation",
    none16: "Show isobar",
    none17: "Show time zones",
    none18: "Basemap",
    none19: "Show extreme values",
    none20: "Convective precipitation",
    none21: "rain showers, snow showers, thunderstorms",
    type: {
        "freezingRain": "Freezing rain",
        "snow": "Snow",
        "fog": "Fog",
        "storm": "Thunderstorm"
    },
    none23: "Hail",
    modelGlobal: "Global models",
    modelRegional: "Regional models",
    none27: "Detailed weather forecast on",
    sublayerNames: {
        "altitude": "{group}, {sublayer}",
        "accumulation": "{group} {sublayer}",
        "storm": "{sublayer}",
        "maximum": "{group} {sublayer}"
    },
    settingsLatLonGrid: "Show lat, lon grid",
    close: "Close",
    edit: "Edit",
    savedLocations: "Saved locations",
    downloadError: "Unable to download data",
    connectionRestored: "Connection restored",
    back: "Back",
    menuApp: "App",
    downloadApp: "Download App",
    none33: "Show scale",
    none34: "Weather station",
    none35: "Convective cloud base",
    none36: "Sea currents",
    premiumLayers: "Premium layers",
    premiumBuy: "Buy premium",
    year: "year",
    installation: "Installation",
    azimuthNE: "NE",
    azimuthN: "N",
    azimuthE: "E",
    azimuthSE: "SE",
    azimuthS: "S",
    azimuthSW: "SW",
    azimuthW: "W",
    azimuthNW: "NW",
    gust: "Gust",
    now: "Now",
    none38: "Cloud base",
    widget: "Widget",
    widgetMissingCity: "Please, add some city in the app",
    dateFormatIconWheel: "ddd dd",
    aqi: {
        "good": "Good",
        "moderate": "Moderate",
        "unhealthySensitive": "Unhealthy for Sensitive Groups",
        "unhealthy": "Unhealthy",
        "veryUnhealthy": "Very Unhealthy",
        "hazardous": "Hazardous"
    },
    days: "days",
    forecastStep: "Forecast step",
    warnings: "Weather Warnings",
    alarm: "Alarm clock",
    additional: "Additional information",
    widgetLoading: "Widget loading",
    tapToRetry: "Tap to retry",
    widgetStyleDark: "Dark background",
    widgetStyleLight: "Light background",
    widgetStyleAuto: "Background based on daytime",
    america: "America",
    asia: "Asia",
    nameDays: "Name days",
    Globe: "3D Globe",
    widgetConfigError: "Widget configuration not found",
    onlySelectedLayers: "Only {model} layers are listed. To see all layers change model to AUTO in the Settings.",
    pressureLow: "L",
    pressureHigh: "H",
    pressureSystems: "Pressure systems",
    widgetNotificationUpdateChannelTitle: "Data Update",
    widgetNotificationUpdateChannelDescription: "Weather Update Notification",
    widgetNotificationUpdateTitle: "Loading Weather Forecasts",
    widgetNotificationUpdateText: "Weather Forecast Update",
    widgetNotificationUpdateForecastFormat: "%1$d °C · %2$s · %3$s",
    widgetLocationList: "List of location can be managed from the application",
    widgetWeatherIcons: "Weather icons",
    widgetSolidIcons: "Solid",
    widgetContourIcons: "Contour",
    widgetCurrentTimeTemp: "Show current time and current temperature",
    widgetCurrentTime: "Show current time",
    widgetColourBar: "Show colour temperature bar",
    daysNights: "days and nights",
    timeFormatWheelWithMinutes: "HH[:mm]",
    layersTitle: "Forecast",
    weatherArchive: "Weather Archive",
    mapZoom: "Map zoom",
    GPSPointer: "GPS Pointer",
    tapToConfigure: "Tap to set the widget",
    privacy: "Privacy Policy",
    privacyDescription: "In the case of the Current location setting, the application accesses your location data to obtain a forecast for your location even when the application is closed. This data is not further stored or processed in any way, see <a href=\"https://www.ventusky.com/privacy\">Privacy policy</a>",
    fronts: "Weather fronts",
    widgetLocationConsent: "Ventusky uses location data to display the weather for your current location in the widget, even when the app is closed or not in use.",
    privacyLink: "<a href=\"https://www.ventusky.com/privacy\">Privacy policy</a>",
    widgetLocationError: "The widget does not have sufficient rights to access your location. You have to set location access to Allow all the time.",
    widgetLocationPermission: "For this widget setting, you have to allow location access even when the app is in the background. You have to set location access to Allow all the time.",
    currentsTypesLabel: "Currents animation",
    testPeriod: "7-day free trial period",
    descriptionTestPeriod: "Your subscription will be renewed after the trial period. Subscriptions can be canceled at any time.",
    modelSwitcher: "Model switcher",
    premium: "Premium",
    free: "Free",
    weatherLayers: "Weather layers",
    support: "Support",
    ads: "Ads",
    premiumRenew: "It renews automatically, you can cancel at any time",
    premiumBuyYearly: "Buy annual subscription",
    premiumBuyYear: "Buy for one year",
    limited: "Limited",
    all: "All",
    noneNow: "None at this time",
    noneForever: "None always",
    duringWorkMail: "During working days on e-mail",
    premiumDescription: "Access all weather maps in the mobile app. With premium you can see weather forecast for these layers.",
    premiumList: "• Wind (16 levels)\n• Wind gusts (1 hour, long time maximum)\n• Cloud cover (high, middle, low, fog, total)\n• Snow cover (total, new)\n• Humidity\n• Dew point\n• Air pressure\n• CAPE, CIN, LI, Helicity(SRH)\n• Freezing level\n• Wave forecast\n• Ocean currents\n",
    getAllLayers: "Get all weather layers",
    seePremium: "See premium option",
    hourlyForecast: "Hourly forecast",
    dailyHourlyForecast: "Hourly or daily forecast",
    dateFriendlyTimeZone: {}
};