StringTables["zh-tw"] = 
{
    code: "zh-tw",
    label: "繁體",
    searchLabel: "搜尋位置",
    searchProgress: "搜尋關鍵詞“{q}”…",
    searchProgressOSM: "透過OpenStreetMap搜尋“{q}”…",
    searchCoords: "緯度: {lat} / 經度: {lon} / {place}",
    searchNotFound: "未找到。",
    searchError: "搜尋失敗，請稍後再試。",
    searchTooShort: "請至少輸入{length}個字符",
    searchMe: "找出我的位置",
    myLocation: "我的位置",
    menuAbout: "關于",
    menuHelp: "幫助",
    menuSettings: "設定",
    zoomIn: "放大",
    zoomOut: "縮小",
    layers: {
        "temperature": "溫度",
        "rain": "降水量",
        "clouds": "雲量",
        "wind": "風速",
        "gust": "陣風",
        "pressure": "氣壓",
        "snow": "積雪層",
        "freezing": "凍結高度",
        "humidity": "濕度",
        "wave": "波浪",
        "storm": "雷雨",
        "radar": "氣象雷達",
        "feel": "體感溫度",
        "air": "空氣污染",
        "satellite": "衛星",
        "aurora": "北極光"
    },
    sublayers: {
        "10m": "地面10公尺",
        "2m": "地面2公尺",
        "850hpa": "850百帕，1500公尺",
        "700hpa": "700百帕，3000公尺",
        "500hpa": "500百帕，5500公尺",
        "300hpa": "300百帕，9000公尺",
        "rain-1h": "1小時",
        "rain-3h": "3個小時",
        "rain-ac": "開始于{time}",
        "shear": "風切",
        "wind-wave": "風浪高度",
        "swell": "湧浪高度",
        "wave": "波浪總高度",
        "swell-period": "湧浪周期",
        "wind-wave-period": "風浪周期",
        "clouds-low": "低雲",
        "clouds-middle": "中雲",
        "clouds-high": "高雲",
        "clouds-total": "總雲量",
        "950hpa": "950百帕，500公尺",
        "925hpa": "925百帕，750公尺",
        "900hpa": "900百帕，1000公尺",
        "800hpa": "800百帕，2000公尺",
        "750hpa": "750百帕，2500公尺",
        "650hpa": "650百帕，3600公尺",
        "600hpa": "600百帕，4200公尺",
        "200hpa": "200百帕，12000公尺",
        "rain-1h-type": "1小時",
        "rain-3h-type": "3個小時",
        "100m": "地面100公尺",
        "5cm": "地面5厘米",
        "dew": "露點",
        "250m": "地面250公尺",
        "humidity": "相對濕度",
        "gust": "1小時",
        "gust-ac": "開始于{time}",
        "new-snow-ac": "新 開始于{time}",
        "snow": "總",
        "co": "一氧化碳 (CO)",
        "no2": "二氧化氮 (NO2)",
        "o3": "臭氧 (O3)",
        "so2": "二氧化硫 (SO2)",
        "dust": "灰塵",
        "freezing": "凍結高度",
        "sea-surface": "海面",
        "currents": "洋流",
        "clouds-fog": "多霧路段"
    },
    windTypes: {
        "soft": "薄",
        "off": "無",
        "normal": "正常",
        "strong": "强",
        "dark": "暗",
        "fast": "快速運動"
    },
    sublayerLabels: {
        "altitude": "高度",
        "accumulation": "積累",
        "storm": "指數",
        "wave": "波浪",
        "clouds": "波浪",
        "humidity": "波浪",
        "maximum": "最大",
        "snow": "波浪",
        "air": "物質"
    },
    windTypesCustom: "自定義",
    windTypesLabel: "動態風",
    modelLabel: "模式",
    modelAuto: "自動",
    modelDescription: "資料: {model}, {source} (解析度{resolution})\n更新 {updated} (下一次更新: {next} - 準備)\n當前時間: {time} ({zone})",
    timelinePlay: "播放",
    timelineStop: "暫停",
    timelinePrev: "上一個",
    timelineNext: "下一個",
    timelineDay: "更改日期",
    timelineToday: "今日",
    timelineNow: "顯示當天的天氣預報",
    settings: "設定",
    settingsDescription: "您可以在這裏更改整個應用程式或氣象資料。",
    settingsLanguage: "語言",
    settingsResolution: "解析度",
    settingsResolutionMin: "减少",
    settingsResolutionMax: "本地",
    settingsRestoreDefault: "恢復初始設定",
    settingsMain: "應用程式設定",
    settingsMainDescription: "您可以在這裏更改整個應用程式。",
    settingsWind: "動畫設定",
    settingsWindDescription: "您可以透過流線設定，更改平均風速和風向。",
    settingsWindPreset: "預設值設定",
    settingsWindQuantity: "流線數",
    settingsWindQuantityMin: "少",
    settingsWindQuantityMax: "多",
    settingsWindLength: "運動速度",
    settingsWindLengthMin: "低",
    settingsWindLengthMax: "高",
    settingsWindWidth: "流線平均厚度",
    settingsWindWidthMin: "薄",
    settingsWindWidthMax: "廣",
    settingsWindWidthSpread: "流線厚度變化",
    settingsWindWidthSpreadMin: "相同厚度",
    settingsWindWidthSpreadMax: "不同厚度",
    settingsWindLife: "流線壽命",
    settingsWindLifeMin: "短暫",
    settingsWindLifeMax: "持久",
    settingsWindOpacity: "透明度",
    settingsWindOpacityMin: "不透明",
    settingsWindOpacityMax: "非常透明",
    settingsWindFade: "流線長度",
    settingsWindFadeMin: "短",
    settingsWindFadeMax: "長",
    settingsWindColor: "顔色",
    settingsWindColors: ["白色", "黑色", "淺色", "深色"],
    settingsBorderColor: "邊框顔色",
    settingsBorderColors: ["自動", "黑色", "白色"],
    settingsColors: "氣象圖設置",
    settingsColorsDescription: "您可以透過氣象圖設定更改氣象參數。",
    settingsColorsGrid: "用網格模式顯示數值",
    settingsUnitTypes: {
        "length": "降水單位",
        "blanket": "積雪單位",
        "height": "高度單位",
        "temperature": "溫度單位",
        "speed": "速度單位",
        "pressure": "壓力單位"
    },
    settingsOpacity: "氣象圖透明度",
    performanceMeter: "性能表，最佳爲每秒60幀",
    share: "分享",
    shareTitle: "分享選項",
    shareDescription: "感謝您推廣我們的網站。請選擇您想要分享的內容：",
    sharePromoText: "天氣預報地圖",
    shareLink: "超連結",
    shareImage: "截圖",
    shareLive: "直播截圖",
    shareEmbed: "嵌入",
    shareGIF: "動畫GIF圖像",
    shareLinkOn: "分享到",
    shareLinkInclude: "連接至",
    shareIncludePosition: "位置",
    shareIncludeLayer: "所選圖層",
    shareIncludeTime: "日期和時間",
    shareIncludeWind: "動畫設定",
    shareIncludeLegend: "規模",
    shareImageFormat: "圖像格式",
    shareImageCut: "裁剪",
    shareImageCutOff: "螢幕截圖",
    shareImageRatio: "長寬比",
    shareImageRatioFree: "自定義",
    shareImageRatioGolden: "黃金分割",
    shareImageInclude: "請在角落處填寫",
    shareImageUploadTo: "上傳至",
    shareEmbedSize: "尺寸",
    shareEmbedTime: "顯示時間",
    shareEmbedTimeNow: "當前",
    shareEmbedTimeTomorrow: "明天",
    shareEmbedTimeWeekend: "下周末",
    shareEmbedLock: "鎖定",
    shareGIFFrames: "動畫幀數",
    shareGIFSpeed: "動畫速度",
    shareAction: "創建",
    shareCancel: "取消",
    stateOn: "開",
    stateOff: "關",
    unavailable: "不可用",
    demo: "示範",
    newFeature: "新功能",
    coordLonPositive: "東",
    coordLonNegative: "西",
    coordLatPositive: "北",
    coordLatNegative: "南",
    azimuthNorth: "北",
    azimuthNortheast: "東北",
    azimuthEast: "東",
    azimuthSoutheast: "東南",
    azimuthSouth: "南",
    azimuthSouthwest: "西南",
    azimuthWest: "西",
    azimuthNorthwest: "西北",
    astroPhaseNight: "夜晚",
    astroPhaseAstronomicalTwilight: "天文曙暮光",
    astroPhaseNauticalTwilight: "航海曙暮光",
    astroPhaseCivilTwilight: "民用曙暮光",
    astroPhaseDay: "白天",
    astroHighNoon: "高月",
    astroRise: "出",
    astroSet: "落",
    timeUnitsHours: "小時",
    timeUnitsMinutes: "分鐘",
    timeUnitsRangeWord: "至",
    dateFormat: "yyyy-MM-dd",
    dateFormatShort: "MM-dd",
    dateFormatWheel: "ddd|[MMM-dd]",
    dateDayNames: ["星期天", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"],
    dateWeekStart: 0,
    dateMonthNames: ["一月", "二月", "三月", "四月", "五月", "六月", "七月", "八月", "九月", "十月", "十一月", "十二月"],
    dateMonthNames3: [],
    dateCurrentDays: "當前天數",
    unitsMetricSystem: true,
    unitsChange: "切換單位至“{unit}”",
    decimalMark: "。",
    location: "位置",
    timezone: "時區",
    wind: "風",
    meteogram: "天氣預報",
    windWave: "風浪",
    swell: "湧浪",
    none8: "湧浪方向",
    none9: "風浪方向",
    waveTypesLabel: "波浪動態",
    none16: "顯示等壓線",
    none17: "顯示時區",
    none18: "底圖",
    none19: "顯示極值",
    none20: "對流性降水",
    none21: "陣雨、陣雪、雷雨",
    type: {
        "freezingRain": "凍雨",
        "snow": "下雪",
        "fog": "多霧路段",
        "storm": "雷雨"
    },
    none23: "冰雹",
    modelGlobal: "全球模式",
    modelRegional: "區域模式",
    none27: "在Ventusky.com查看詳細的天氣預報",
    dateDayNames3: ["日", "一", "二", "三", "四", "五", "六"],
    close: "關",
    edit: "編輯",
    savedLocations: "保存位置",
    downloadApp: "下載APP",
    premiumLayers: "Premium",
    premiumBuy: "購買 Premium",
    year: "年",
    installation: "安裝",
    azimuthNE: "東北",
    azimuthN: "北",
    azimuthE: "東",
    azimuthSE: "東南",
    azimuthS: "南",
    azimuthSW: "西南",
    azimuthW: "西",
    azimuthNW: "西北",
    gust: "陣風",
    now: "現在",
    none38: "雲底高度",
    codeURL: "zh-tw",
    days: "天",
    forecastStep: "預測步驟",
    warnings: "天氣警告",
    alarm: "鬧鐘",
    additional: "附加信息",
    widgetStyleDark: "黑暗的背景",
    widgetStyleLight: "淺色背景",
    america: "美國",
    asia: "亞洲",
    Globe: "地球",
    daysNights: "白天和黑夜",
    mapZoom: "地圖縮放",
    fronts: "天氣鋒面",
    modelSwitcher: "模型選擇器",
    premiumRenew: "它會自動更新，您可以隨時取消",
    premiumBuyYearly: "購買年度訂閱",
    premiumBuyYear: "買一年",
    premiumDescription: "在移動應用程序中訪問所有天氣地圖。",
    premiumList: "• 風（16 級）\n • 陣風（1 小時，最長持續時間）\n • 雲量（高、中、低、霧、總）\n • 積雪（總計，新）\n • 濕度\n • 露點\n • 氣壓\n • 雷暴\n • 波浪預測\n • 洋流\n",
    getAllLayers: "獲取所有地圖",
    seePremium: "Premium"
};