precision highp float;


#my_include "./projections.inc.glsl"

//xy - line center position
//zw - line center is ofsetted by this normal vector
attribute vec4 POSITION_NORMAL;

//sign of zw normal offset
attribute float SIGN;

uniform vec4 dZsLonLat;
uniform float r;

varying float dist;

float MapLatRangeFrom01(float s)
{
	return -PI_2 + (s) * (PI_2 - -PI_2);
}

float MapLonRangeFrom01(float s)
{
	return -PI + (s) * (PI - -PI);
}

void main()
{	
	dist = SIGN;
		
	vec2 wpCenter = POSITION_NORMAL.xy + dZsLonLat.zw;
	vec2 wpCenterOffset = POSITION_NORMAL.zw;
	
	vec2 gpsCorner = wpCenter + vec2(1.0, -1.0) * wpCenterOffset;
	gpsCorner.x = MapLonRangeFrom01(gpsCorner.x);
	gpsCorner.y = MapLatRangeFrom01(gpsCorner.y);

	vec2 gpsCenter = wpCenter;
	gpsCenter.x = MapLonRangeFrom01(gpsCenter.x);
	gpsCenter.y = MapLatRangeFrom01(gpsCenter.y);

	
		
	vec3 posWorldCorner = ConvertSphericalToCartesian(gpsCorner);		
	vec3 posWorldCenter = ConvertSphericalToCartesian(gpsCenter);

	vec3 n = normalize(posWorldCorner - posWorldCenter);	
	vec3 posWorld = posWorldCenter + dZsLonLat.y * n;

	gl_Position = CalcPositionInWorld((r + (1.0 - dZsLonLat.x)) * posWorld);
	gl_Position.w = 1.0;	
}
