precision highp float;


attribute vec4 POSITION;
attribute vec4 LINE_INFO;
attribute vec2 SIGN_DISTANCE;


uniform vec4 en_posScreen;
uniform vec2 en_depthZoomScale;

varying float signDist;
varying float startDistance;
varying vec2 pos;
varying vec2 a;
varying vec2 b;


//fromMin 0
//fromMax 512
vec2 MapRange_512(vec2 toMin, vec2 toMax, vec2 s)
{
    return toMin + (s) * (toMax - toMin) * vec2(1.0 / 512.0);
}

void main()
{
	signDist = SIGN_DISTANCE.x;	
	startDistance = SIGN_DISTANCE.y;
	
	a = LINE_INFO.xy;
	b = LINE_INFO.zw;
		
	pos = POSITION.xy + POSITION.zw * en_depthZoomScale.y;
		
	gl_Position.xy = MapRange_512(en_posScreen.xz, en_posScreen.yw, pos.xy);	
	gl_Position.z = en_depthZoomScale.x;
	gl_Position.w = 1.0;
}
