precision highp float;


attribute vec4 POSITION;
attribute vec4 LINE_INFO;
attribute vec2 SIGN_DISTANCE;
attribute vec3 TEXINFO;

uniform vec4 en_posScreen;
uniform vec3 en_depthZoomScaleRepeat;

varying float signDist;
varying float startDistance;
varying vec3 posScale;
varying vec2 a;
varying vec2 b;
varying vec3 texInfo;


//fromMin 0
//fromMax 512
vec2 MapRange_512(vec2 toMin, vec2 toMax, vec2 s)
{
	return toMin + (s) * (toMax - toMin) * vec2(1.0 / 512.0);
}


void main()
{
	signDist = SIGN_DISTANCE.x;
	startDistance = SIGN_DISTANCE.y;

	a = LINE_INFO.xy;
	b = LINE_INFO.zw;
	texInfo = TEXINFO;

	posScale.xy = POSITION.xy + POSITION.zw * en_depthZoomScaleRepeat.y;
	posScale.z = en_depthZoomScaleRepeat.z;

	gl_Position.xy = MapRange_512(en_posScreen.xz, en_posScreen.yw, posScale.xy);
	gl_Position.z = en_depthZoomScaleRepeat.x;
	gl_Position.w = 1.0;
}