
//http://aras-p.info/blog/2009/07/30/encoding-floats-to-rgba-the-final/
//http://www.ozone3d.net/blogs/lab/20080604/glsl-float-to-rgba8-encoder/
//https://stackoverflow.com/questions/24855256/how-to-output-fragment-values-greater-than-1-in-webgl

//https://gist.github.com/hecomi/9580605


/// <summary>
/// Pack float to RGBA. 
/// Input v must be in (0, 1)
/// </summary>
vec4 EncodeFloatRGBA(float v)
{	
	vec4 enc = vec4(1.0, 255.0, 65025.0, 16581375.0) * v;
	enc = fract(enc);
	//enc -= enc.yzww * vec4(1.0 / 255.0, 1.0 / 255.0, 1.0 / 255.0, 0.0);
	enc -= enc.yzww * vec4(1.0 / 255.0, 1.0 / 255.0, 1.0 / 255.0, 1.0 / 255.0);
	return enc;
}

/// <summary>
/// UnPack RGBA to float. 
/// Output is in (0, 1)
/// </summary>
float DecodeFloatRGBA(vec4 rgba) 
{
	return dot(rgba, vec4(1.0, 1.0 / 255.0, 1.0 / 65025.0, 1.0 / 16581375.0));	
}

/// <summary>
/// Pack float to RG. 
/// Input v must be in (0, 1)
/// </summary>
vec2 EncodeFloat16RGBA(float a)
{	
	vec2 enc = vec2(1.0, 255.0) * a;	
	enc = fract(enc);
	enc.x -= enc.y * (1.0 / 255.0);
	return enc;
}

/// <summary>
/// UnPack RG to float. 
/// Output is in (0, 1)
/// </summary>
float DecodeFloat16RGBA(vec2 a)
{	
	return (a.x + a.y * 1.0 / 255.0);
}

/// <summary>
/// Map float value from one interval to another
/// </summary>
float MapRange(float fromMin, float fromMax, float toMin, float toMax, float s)
{
	return toMin + (s - fromMin) * (toMax - toMin) / (fromMax - fromMin);
}

/// <summary>
/// Map vec2 value from one interval to another
/// </summary>
vec2 MapRangeV2(vec2 fromMin, vec2 fromMax, vec2 toMin, vec2 toMax, vec2 s)
{
	return toMin + (s - fromMin) * (toMax - toMin) / (fromMax - fromMin);
}