precision highp float;

#my_include "./projections.inc.glsl"

attribute vec2 TEXCOORD0;


//min, max, max, min
//startX, endX, endY, startY
//startLon, endLon, endLat, startLat
uniform vec4 en_posScreen;
uniform vec4 en_posWorld;
uniform vec4 en_posGPS;
uniform float en_Depth;

//globe radius
uniform float r;



varying vec2 vTexCoord;
varying vec2 vWorldPos; //pro projekce
varying vec2 gps;

vec2 MapRangeFrom01(vec2 to1, vec2 to2, vec2 s)
{
	return to1 + (s) * (to2 - to1);
}

void main()
{

	gps = MapRangeFrom01(en_posGPS.xz, en_posGPS.yw, TEXCOORD0.xy);

	vec3 pos = ConvertSphericalToCartesian(gps);


	gl_Position = CalcPositionInWorld((r + (1.0 - en_Depth)) * pos);
	
    //used for rain... is it working?
    vWorldPos = mix(en_posWorld.xz, en_posWorld.yw, TEXCOORD0.xy);
	
    
	//we need to scale TEXCOORD from 0-1 to actual texture size
	//because data in the last texture are not of the full size
	//they are smaller (eg: texture is 512x512, data are 400x300)
	vTexCoord = TEXCOORD0.xy * (tileFrame * texSize.zw);
}
