precision highp float;

#my_include "./projections.inc.glsl"

attribute vec2 TEXCOORD0;


//min, max, max, min
//startX, endX, endY, startY
//startLon, endLon, endLat, startLat
uniform vec4 en_posScreen;
uniform vec4 en_posWorld;
uniform vec4 en_posGPS;
uniform float en_Depth;

//globe radius
uniform float r;

varying vec2 vTexCoord;
varying vec2 vWorldPos; //pro projekce
varying vec2 gps;

vec2 MapRangeFrom01(vec2 to1, vec2 to2, vec2 s)
{
	return to1 + (s) * (to2 - to1);
}

void main()
{
		
	gps = MapRangeFrom01(en_posGPS.xz, en_posGPS.yw, TEXCOORD0.xy);

	vec3 pos = ConvertSphericalToCartesian(gps);

	gl_Position = CalcPositionInWorld((r + (1.0 - en_Depth)) * pos);

	vWorldPos = mix(en_posWorld.xz, en_posWorld.yw, TEXCOORD0.xy);



	gps.y = log(tan(PI_4 + 0.5 * gps.y));

	vec2 pixel = equirectPrecomp.xz + gps.xy * equirectPrecomp.yw;

	vec2 texel = pixel;// +vec2(0.50, 0.50);

	//border check at the end - clamp to last pixel if it is out of tile
	texel = clamp(texel, vec2(0.0), tileFrame);

	texel *= texSize.zw;

	vTexCoord = texel;
}
