precision highp float;

#my_include "./projections.inc.glsl"

attribute vec2 TEXCOORD0;


//min, max, max, min
//startX, endX, endY, startY
//startLon, endLon, endLat, startLat
uniform vec4 en_posScreen;
uniform vec4 en_posWorld;
uniform float en_Depth;

varying vec2 vTexCoord;
varying vec2 vWorldPos; //pro projekce


void main()
{
	vec3 pos = vec3(en_Depth);
	pos.xy = mix(en_posScreen.xz, en_posScreen.yw, TEXCOORD0.xy);
	gl_Position = vec4(pos, 1.0);	

	vWorldPos = mix(en_posWorld.xz, en_posWorld.yw, TEXCOORD0.xy);
	
	vec2 gps = GetCoordinateFromMercatorWorldPos(vWorldPos);
	gps.y = log(tan(PI_4 + 0.5 * gps.y));

    
	vec2 texel = equirectPrecomp.xz + gps.xy * equirectPrecomp.yw;

	//border check at the end - clamp to last pixel if it is out of tile
	texel = clamp(texel, vec2(0.0), tileFrame);

	texel *= texSize.zw;
	
	vTexCoord = texel;
}
