precision mediump float;

varying vec2 vTexCoord;

uniform sampler2D en_texModel;

//if x: 0 -> alpha is not used, 
//if x: 1 -> alpha is used (default)
//y is added to multipled alpha
uniform vec2 alphaMode; 

void main()
{
#ifdef GLES_2
    vec2 colorAlpha = texture2D(en_texModel, vTexCoord).ra;
#else
	vec2 colorAlpha = texture2D(en_texModel, vTexCoord).rg;
#endif
	
	gl_FragColor.rgb = vec3(colorAlpha.x);
	gl_FragColor.a = alphaMode.x * colorAlpha.y + alphaMode.y;
			
	//if ((vTexCoord.x < 0.01) || (vTexCoord.x > 0.99)) gl_FragColor.rgb = vec3(1,0,0);
	//if ((vTexCoord.y < 0.01) || (vTexCoord.y > 0.99)) gl_FragColor.rgb = vec3(1,0,0);
}
